

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<!-- saved from url=(0032)http://www.doofan.cn/25175/4400/ -->
<HEAD><TITLE>材料网,材料网,信息价系统</TITLE>

<SCRIPT language=JavaScript>

//下拉菜单相关代码
 var h;
 var w;
 var l;
 var t;
 var topMar = 1;
 var leftMar = -55;
 var space = 1;
 var isvisible;
 var MENU_SHADOW_COLOR='#BBE0F0';   //定义下拉菜单阴影色
 var global = window.document
 global.fo_currentMenu = null
 global.fo_shadows = new Array

function HideMenu() 
{
 var mX;
 var mY;
 var vDiv;
 var mDiv;
	if (isvisible == true)
{
		vDiv = document.all("menuDiv");
		mX = window.event.clientX + document.body.scrollLeft;
		mY = window.event.clientY + document.body.scrollTop;
		if ((mX < parseInt(vDiv.style.left)) || (mX > parseInt(vDiv.style.left)+vDiv.offsetWidth) || (mY < parseInt(vDiv.style.top)-h) || (mY > parseInt(vDiv.style.top)+vDiv.offsetHeight)){
			vDiv.style.visibility = "hidden";
			isvisible = false;
		}
}
}

function ShowMenu(vMnuCode,tWidth) {
	vSrc = window.event.srcElement;
	vMnuCode = "<table id='submenu' cellspacing=2 cellpadding=2 style='border: 1px #444444 solid;width:"+tWidth+"' onmouseout='HideMenu()'><tr><td nowrap align=right height=20>" + vMnuCode + "</td></tr></table>";

	h = vSrc.offsetHeight;
	w = vSrc.offsetWidth;
	l = vSrc.offsetLeft + leftMar+4;
	t = vSrc.offsetTop + topMar + h + space-2;
	vParent = vSrc.offsetParent;
	while (vParent.tagName.toUpperCase() != "BODY")
	{
		l += vParent.offsetLeft;
		t += vParent.offsetTop;
		vParent = vParent.offsetParent;
	}

	menuDiv.innerHTML = vMnuCode;
	menuDiv.style.top = t;
	menuDiv.style.left = l;
	menuDiv.style.visibility = "visible";
	isvisible = true;
    makeRectangularDropShadow(submenu, MENU_SHADOW_COLOR, 4)
}

function makeRectangularDropShadow(el, color, size)
{
	var i;
	for (i=size; i>0; i--)
	{
		var rect = document.createElement('div');
		var rs = rect.style
		rs.position = 'absolute';
		rs.left = (el.style.posLeft + i) + 'px';
		rs.top = (el.style.posTop + i) + 'px';
		rs.width = el.offsetWidth + 'px';
		rs.height = el.offsetHeight + 'px';
		rs.zIndex = el.style.zIndex - i;
		rs.backgroundColor = color;
		var opacity = 1 - i / (i + 1);
		rs.filter = 'alpha(opacity=' + (100 * opacity) + ')';
		el.insertAdjacentElement('afterEnd', rect);
		global.fo_shadows[global.fo_shadows.length] = rect;
	}
}
//读取下拉菜单

var menulists1 = '  '
var rownum=1;
function check(d){
	
	
	var srt=d.value;
	 	var p=/^[-]?\d+$/;
 	 if   (!p.exec(srt)){
      alert("请输入有效数字!");   
      d.focus();
  		return false;
      }
}
function addrow(){
		rownum=rownum+1;
		document.all.rownum.value=rownum;
		var ls_t=document.all("t111");			
		mynewrow = ls_t.insertRow();
		mynewcel4=mynewrow.insertCell();
		mynewcel4.innerHTML='<input class=unnamed1_rld  id=snum'+rownum+' type=text size=20 name=snum'+rownum+' />';
				
		mynewcell=mynewrow.insertCell();		 					
		mynewcell.innerHTML='<input name="data_time'+rownum+'" type="text"  value="<%=year(now)%>-<%=month(now)%>-<%=day(now)%>"   size="20" id="per_birth"  onclick="setday(this)" readonly="true"/>';
		
		mynewcel2=mynewrow.insertCell();
		mynewcel2.innerHTML='<input class=unnamed1_rld id=behavior'+rownum+' type=text size=20 name=behavior'+rownum+' />';
		
		mynewcel3=mynewrow.insertCell();
		mynewcel3.innerHTML='<input class=unnamed1_rld id=num'+rownum+'  onblur="check(this)" type=text size=20 name=num'+rownum+' />';
	
		mynewcel4=mynewrow.insertCell();
		mynewcel4.innerHTML='<input class=unnamed1_rld  id=bz'+rownum+' type=text size=20 name=bz'+rownum+' />';
		
}
function delrow(){
	var ls_t=document.all("t111");
	ls_t.deleteRow(ls_t.rows.length-1);
}

</SCRIPT>

<META http-equiv=Content-Type content="text/html; charset=gb2312"><LINK 
href="images/25175css_pro.css" type=text/css rel=stylesheet>
<META content="MSHTML 6.00.2900.3243" name=GENERATOR>
<link rel="stylesheet" href="style.css">
</HEAD>
<BODY onmousemove=HideMenu() bgColor=#fbfdff leftMargin=0 topMargin=0 
marginheight="0" marginwidth="0">
<!--#include file="top.asp"-->
<!--#include file="inc/conn.asp"-->

<!--#include file="inc/charfunction.asp"-->
<!--#include file="inc/function.asp"-->
<TABLE cellSpacing=0 cellPadding=0 width=970 border=0>
  <TBODY>
  <TR>
    <TD width=10>
      <DIV align=center></DIV></TD></TR>
  <TR>
    <TD>
      <TABLE cellSpacing=0 cellPadding=0 width="100%" border=0>
        <TBODY>
        <TR>
		
          
          <TD vAlign=top bgColor=#a5bec6 rowSpan=2>
            <TABLE cellSpacing=1 cellPadding=0 width=970 border=0>
              <TBODY>
              <TR>
                <TD bgColor=#e7f3ff>
				 
                  <TABLE cellSpacing=4 cellPadding=0 width=750 border=0>
                    <TBODY>
                    <TR>
                      <TD vAlign=top bgColor=#004194 height=300>
                        <TABLE cellSpacing=1 cellPadding=0 width=960 border=0>
                          <TBODY>
                          <TR>
                            <TD vAlign=top bgColor=#ffffff height=300>
                              <TABLE cellSpacing=0 cellPadding=2 width="100%" 
                              align=center border=0>
                                <TBODY>
                                
                               <TR>
                                <TD>
                                
								  <div align="center">
								    <table width="500" border="0" cellspacing="0" cellpadding="0">
                                      <tr>
                                        <td height="30">&nbsp;</td>
                                      </tr>
                                      <tr>
                                        <td height="30" bgcolor="#E8F6FE"><div align="left"><strong>公告新闻</strong></div></td>
                                      </tr>
                                      <tr>
                                        <td>
										  <div align="left">
										    <%
on error resume next
const MaxPerPage=15
dim strFileName
dim totalPut,CurrentPage,TotalPages,rsArticleList
if request.ServerVariables("QUERY_STRING")<>"" then
strfilename=request.ServerVariables("SCRIPT_NAME")&"?"&request.ServerVariables("QUERY_STRING")
else
strfilename=request.ServerVariables("SCRIPT_NAME")
end if

if chkstr(request("page"))<>"" then
	if isnumeric(chkstr(request("page")))=false then
		currentpage=1
	else
		currentPage=chkstr(cint(request("page")))
	end if
else
	currentPage=1
end if

sellook=chkstr(request("field"))
keyword=chkstr(request("keyword"))
fldtype=chkstr(request("type"))
check=chkstr(request("check"))

			set rs=server.CreateObject("adodb.recordset")
			if sellook="title" and keyword<>"" then
			  rs.open"select * from web_news where  title like '%"&cstr(keyword)&"%' order by topinfo desc,id desc",conn,1,1
			elseif sellook="content" and keyword<>"" then
			  rs.open"select * from web_news where  content like '%"&cstr(keyword)&"%' order by topinfo desc,id desc",conn,1,1
			elseif sellook="key" and keyword<>"" then
			  rs.open"select * from web_news where  keyword like '%"&cstr(keyword)&"%' order by topinfo desc,id desc",conn,1,1
			elseif fldtype="ypa" then
			  rs.open"select * from web_news where ispassed=1 order by topinfo desc,id desc",conn,1,1
			elseif fldtype="npa" then
			  rs.open"select * from web_news where ispassed=0 order by topinfo desc,id desc",conn,1,1
			elseif fldtype="size" then
			  rs.open"select * from web_news where newstype=0 order by topinfo desc,id desc",conn,1,1
			elseif fldtype="image" then
			  rs.open"select * from web_news where newstype=1 order by topinfo desc,id desc",conn,1,1
			elseif fldtype="top" then
			  rs.open"select * from web_news where topinfo=1 order by topinfo desc,id desc",conn,1,1
			elseif fldtype="hy" then
			  rs.open"select * from web_news where classinfo=0 order by topinfo desc,id desc",conn,1,1
			elseif fldtype="com" then
			  rs.open"select * from web_news where classinfo=1 order by topinfo desc,id desc",conn,1,1
			else
			  rs.open"select * from web_news order by topinfo desc,id desc",conn,1,1
			end if
 
  if rs.eof and rs.bof then
  	if (len(keyword)>0 or len(fldtype)>0) and len(check)=0 then
		response.Write"<center>没有符合条件的新闻！<span style='color:red;cursor:hand;' onclick='history.back();'>返回</span></center>"
	elseif len(check)>0 then
		response.Write"<center>没有任何待审核新闻！<span style='color:red;cursor:hand;' onclick='history.back();'>返回</span></center>"
	else
		response.Write"<center>没有任何新闻！</center>"
	end if
  	
  else
  
  totalPut=rs.recordcount
	if currentpage<1 then
   		currentpage=1
   	end if
   	if (currentpage-1)*MaxPerPage>totalput then
   		if (totalPut mod MaxPerPage)=0 then
     		currentpage= totalPut \ MaxPerPage
	  	else
	      	currentpage= totalPut \ MaxPerPage + 1
   		end if
   	end if
    if currentPage=1 then
       	showContent
       	showpage strFileName,totalput,MaxPerPage,true,true,"条新闻",currentpage
 	else
     	if (currentPage-1)*MaxPerPage<totalPut then
       	   	rs.move  (currentPage-1)*MaxPerPage
       		dim bookmark
           	bookmark=rs.bookmark
            showContent
            showpage strFileName,totalput,MaxPerPage,true,true,"条新闻",currentpage
       	else
	        currentPage=1
           	showContent
          	showpage strFileName,totalput,MaxPerPage,true,true,"条新闻",currentpage
	    end if
	end if
rs.close
set rs=nothing 

sub showContent
   	dim ArticleNum
    ArticleNum=0%>
				                                          <table border="0" width="100%" style="font-size:12px" align="center">
				                                            <form name="myform1" action="<%=request.ServerVariables("SCRIPT_NAME")%>">
				                                              <tr height="30"><td>搜索：
				                                                  <select name="Field" id="Field">
				                                                    <option value="title" selected>新闻标题</option>
				                                                    <option value="key">关键词</option>
				                                                    <option value="content">新闻内容</option>
			                                                      </select>
				                                                  <input name="Keyword" type="text" id="Keyword" size="20" maxlength="30">
			                                                  <input type="submit" name="Submit" value=" 查 询 "></td></tr>
				                                              <tr height="5"><td bgcolor=""></td></tr>
				                                              <tr height="1"><td bgcolor="#CCCCCC"></td></tr>
			                                                </form>
				                            </table>
										    <%str="<table border='0' width='95%' cellpadding='0' cellspacing='0' style='font-size:12px' align='center'><tr height='5'><td></td></tr>"
	do while not rs.eof
	if len(rs("newsimage"))>0 then
		imageurl="(<font color='blue'>图片新闻</font>)"
	else
		imageurl=""
	end if
	str=str&"<tr><td height='22'><a href='shownews.asp?id="&rs("id")&"' style='text-decoration:none;color:#000000;'>·<font color="&rs("TitleFontColor")&">"&Searchkey(rs("title"),keyword)&"</font>"&imageurl&"&nbsp;&nbsp;<font color=#999999>["&rs("senddate")&"]</font></a></td></tr>"
	ArticleNum=ArticleNum+1
	   	if ArticleNum>=MaxPerPage then exit do
	   	rs.movenext
	loop
	str=str&"</table><br>"
	response.Write str
	end sub
	end if
%>			  
										    </div></td>
                                      </tr>
                                    </table>
								    </div></TD></TR>
						  
							   <TR>
                                 <TD>&nbsp;</TD>
							   </TR>
						  
                             
							 
							 
                                <TR>
                                  <TD>&nbsp;</TD>
                                </TR>
                                </TBODY></TABLE></TD>
                          </TR></TBODY></TABLE>
								
								
							  </TD>
							</TR>
						  </TBODY>
						</TABLE>
							
					  </TD></TR></TBODY></TABLE></TD></TR></TBODY></TABLE></TD></TR></TBODY></TABLE></TD></TR>
  <TR>
    <TD>
      <DIV align=center></DIV></TD></TR>
  <TR>
    <TD width=10>
      <DIV align=center></DIV></TD></TR>
  <TR>
    <TD bgColor=#b1d6e4 height=25>
      <TABLE cellSpacing=0 cellPadding=0 width="970" border=0>
        <TBODY>
        <TR>
          <TD bgColor=#b1d6e4 height=25>&nbsp;25175 Copyright &copy; 2008-20018 网站备案号：[浙ICP备6015937号] 材料网 All 
      rights reserved. Powered by 25175 </TD>
      </TR></TBODY></TABLE></TD></TR>
  <TR>
    <TD>&nbsp;</TD></TR>
</BODY></HTML>
